"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
const tsioc_1 = require("tsioc");
__export(require("./Controller"));
__export(require("./Delete"));
__export(require("./Get"));
__export(require("./Head"));
__export(require("./Options"));
__export(require("./Patch"));
__export(require("./Post"));
__export(require("./Put"));
__export(require("./Route"));
__export(require("./Cors"));
// export * from './Router';
__export(require("./Authorization"));
__export(require("./Model"));
__export(require("./Field"));
__export(require("./Middleware"));
const _1 = require("./");
function registerDecorators(container) {
    let lifeScope = container.getLifeScope();
    lifeScope.registerDecorator(_1.Controller, tsioc_1.CoreActions.bindProvider);
    lifeScope.registerDecorator(_1.Authorization, tsioc_1.CoreActions.bindProvider);
    lifeScope.registerDecorator(_1.Middleware, tsioc_1.CoreActions.bindProvider);
}
exports.registerDecorators = registerDecorators;

//# sourceMappingURL=../sourcemaps/decorators/index.js.map
